Summary:	Gnu Neat Auto Reply With LDAP
Summary(pl.UTF-8):	Gnu Neat Auto Reply With LDAP - autoresponder korzystający z LDAP
Name:		gnarwl
Version:	3.6
Release:	3
License:	GPL
Group:		Applications/Mail
Source0:	http://www.onyxbits.de/sites/default/files/%{name}-%{version}.tgz
# Source0-md5:	832d1e2264b7e47d318b16795d63da8e
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-opt.patch
Patch2:		format-security.patch
URL:		http://www.onyxbits.de/gnarwl/
BuildRequires:	autoconf
BuildRequires:	gdbm-devel
BuildRequires:	groff
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	rpmbuild(macros) >= 1.304
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(gnarwl)
Provides:	user(gnarwl)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		schemadir	/usr/share/openldap/schema

%description
Gnarwl is a email auto reply/vacation tool, intented to be used on
mailservers, on which users may not (nescessarily) have
systemaccoounts, but where userinformation is stored in LDAP.

%description -l pl.UTF-8
Gnarwl to system automatycznego odpowiadania na listy stworzony z
myślą o serwerach poczty, na których użytkownicy nie muszą posiadać
prawdziwych kont systemowych, a informacje o użytkownikach znajdują
się w bazie LDAP.

%package -n openldap-schema-ISPEnv2
Summary:	LDAP schema for gnarwl
Summary(pl.UTF-8):	Schemat LDAP dla gnarwla
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers
Requires:	sed >= 4.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n openldap-schema-ISPEnv2
This package contains ISPEnv2.schema to be used with gnarwl.

%description -n openldap-schema-ISPEnv2 -l pl.UTF-8
Ten pakiet zawiera schemat LDAP ISPEnv2.schema do używania z gnarwlem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure \
	--with-homedir=/var/lib/gnarwl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D doc/ISPEnv2.schema $RPM_BUILD_ROOT%{schemadir}/ISPEnv2.schema
rm -rf $RPM_BUILD_ROOT/usr/share/doc/packages/gnarwl

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 26 gnarwl
%useradd -u 26 -d /var/lib/gnarwl -s /usr/bin/gnarwl -c "Gnarwl User" -g gnarwl gnarwl

%post
if [ "$1" = 1 ]; then
%banner -e %{name} <<'EOF'
The OpenLDAP schema for gnarwl can be installed with openldap-schema-ISPEnv2 package.
EOF
fi

%postun
if [ "$1" = "0" ]; then
	%userremove gnarwl
	%groupremove gnarwl
fi

%post -n openldap-schema-ISPEnv2
%openldap_schema_register %{schemadir}/ISPEnv2.schema -d core,cosine
%service -q ldap restart

%postun -n openldap-schema-ISPEnv2
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/ISPEnv2.schema
	%service -q ldap restart
fi

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,FAQ,HISTORY,INSTALL,ISPEnv.schema,LICENSE,README,README.upgrade,example.ldif}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,gnarwl) %{_sysconfdir}/gnarwl.cfg
%attr(755,root,gnarwl) %dir %{_var}/lib/gnarwl
%attr(775,root,gnarwl) %dir %{_var}/lib/gnarwl/block
%attr(755,root,gnarwl) %dir %{_var}/lib/gnarwl/bin
%attr(640,root,gnarwl) %{_var}/lib/gnarwl/.forward
%attr(660,root,gnarwl) %{_var}/lib/gnarwl/blacklist.db
%attr(660,root,gnarwl) %{_var}/lib/gnarwl/badheaders.db
%attr(640,root,gnarwl) %{_var}/lib/gnarwl/footer.txt
%attr(640,root,gnarwl) %{_var}/lib/gnarwl/header.txt
%{_mandir}/man*/*

%files -n openldap-schema-ISPEnv2
%defattr(644,root,root,755)
%{schemadir}/*.schema
%changelog
* Sat Jul 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnarwl.git;a=log;h=master

* Sat Jul 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3038443
- release 3 (by relup.sh)

* Sat Aug 03 2013 Jan Rękorajski <baggins@pld-linux.org> 2b34873
- fix format string error
- rel 2

* Wed Jul 03 2013 Elan Ruusamäe <glen@delfi.ee> e265880
- noarch openldap schema package

* Fri Jan 14 2011 zbyniu <zbyniu@pld-linux.org> cbd7daa
- up to 3.6

* Mon Jun 30 2008 zbyniu <zbyniu@pld-linux.org> 9bb5e27
- up to 3.4

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> e802b73
- updated openldap BR/R to 2.4.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 20f6045
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 493c11f
- converted to UTF-8

* Sat Sep 09 2006 Elan Ruusamäe <glen@pld-linux.org> 88dce2c
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

* Thu Jul 20 2006 Jakub Bogusz <qboosh@pld-linux.org> e5d922f
- pl for openldap-schema-ISPEnv2

* Thu Jul 20 2006 Elan Ruusamäe <glen@pld-linux.org> ca009b4
- rpm macros for %openldap_schema_*

* Thu Jul 20 2006 Elan Ruusamäe <glen@pld-linux.org> 1e4685f
- adjust few obvious permissions

* Thu Jul 20 2006 Elan Ruusamäe <glen@pld-linux.org> 58386eb
- subpackage for ldap schema (openldap-schema-ISPEnv2)
- let root own the files

* Sat Apr 15 2006 Elan Ruusamäe <glen@pld-linux.org> ece679e
- rel 5

* Tue Jan 17 2006 Jan Rękorajski <baggins@pld-linux.org> 70d61be
- release 4
- BR openldap 2.3

* Sun Jun 26 2005 Elan Ruusamäe <glen@pld-linux.org> 5ee613f
- updated URL and Source0

* Mon May 02 2005 Elan Ruusamäe <glen@pld-linux.org> 9d22af0
- adapterized

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> b2f0853
- use %useradd/%groupadd macros

* Fri Oct 15 2004 ankry <ankry@pld-linux.org> 9a20e2a
- %userremove/%groupremove support, some standarization

* Sun Aug 08 2004 ankry <ankry@pld-linux.org> 82a9891
- spaces -> tabs

